Get a maintenance event
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
read_database
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | read_databases |
| Database | read_database |
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the maintenance event
Organization name slug from list_organizations. Example: acme.
Database name slug from list_databases. Example: app-db.
Response
Returns a maintenance event
The ID of the maintenance event
The state of the maintenance event
scheduled, in_progress, completed, canceled, expired What the maintenance changes
Why the maintenance is needed
The impact to expect while the maintenance runs
When the maintenance is scheduled to run
The deadline by which the maintenance must run
When the maintenance completed
How many more times the maintenance can be rescheduled
The times the maintenance can be rescheduled to

